<div class="my-auto col-md-12 col-md-offset-3" *ngIf="mapReady">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <div class="row">
      <div class="col-md-11">
        <h3 class="card-title" id="register-form-link">Ajouter un nouvel hôtel :</h3>
      </div>
    </div>
    <div class="panel-body">
      <div class="row">
        <div class="col-lg-12">
          <form [formGroup]="hotelForm" (ngSubmit)="hotelForm.valid && submitRegistration(hotelForm.value)" novalidate>
            <div class="form-group">
              <input type="text" id="hotelName" class="form-control" tabindex="1" placeholder="Entrez le nom de l'hôtel..."
                formControlName="hotelName" value="">
            </div>

            <div class="form-group" id='searchBoxContainer1'>
              <input type="text" id="txtSource" name="txtSource" class="form-control" tabindex="2" placeholder="Adresse de l'hotel"
                formControlName="txtSource" autocomplete="off" required>
            </div>

            <div class="form-group">
              <app-bing-map class="mat-elevation-z5" style="width: auto; height: 400px;" [city1]="" [consult]="false"
                [modif]="false" (eventCalculDir)="calculDir($event)"></app-bing-map>
            </div>
            <div class="form-group">
              <input type="text" tabindex="3" class="form-control" id="hotelRoomsNumber" placeholder="Entrez le nombre de chambres de l'hôtel..."
                formControlName="hotelRoomsNumber">
            </div>
            <div class="form-group">
              <input type="text" tabindex="3" class="form-control" id="phoneNumber" placeholder="Entrez le numéro de téléphone de l'hôtel..."
                formControlName="phoneNumber">
            </div>
            <div class="form-group">
              <input type="text" tabindex="3" class="form-control" id="mailAdress" placeholder="Entrez l'adresse email de l'hôtel..."
                formControlName="mailAddress">
            </div>
            <div class="form-group">
              <img [style.width.px]="urlCompo.adjustedWidth" [style.height.px]="150" *ngIf="urlCompo.loadingPhoto && base64Image !== undefined"
                [src]="base64Image">
              <div fxlayoutAlign="center center" layout-fill>
                <input type="file" tabindex="2" accept="image/x-png,image/gif,image/jpeg" formDataName="photo" (change)="changeListener($event)"
                  value="{{picture?.photo}}" />
              </div>
            </div>
            <div class="form-group">
              <div class="row">
                <div class="col-sm-12 col-sm-offset-3">
                  <button tabindex="5" class=' form-control btn btn-primary' type='submit' [disabled]='!hotelForm.valid'>Créer
                    l'hôtel</button>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
